### A free/open-source library for quantitative finance

Public Member Functions
Polynomial2DSpline Class Reference

polynomial2D-spline interpolation between discrete points More...

`#include <ql/experimental/inflation/polynomial2Dspline.hpp>`

Inheritance diagram for Polynomial2DSpline:
[legend]

List of all members.

## Public Member Functions

template<class I1 , class I2 , class M >
| Polynomial2DSpline (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, const I2 &yEnd, const M &zData)

## Detailed Description

polynomial2D-spline interpolation between discrete points

## Constructor & Destructor Documentation

Polynomial2DSpline | ( | const I1 & | xBegin,
|  | const I1 & | xEnd,
|  | const I2 & | yBegin,
|  | const I2 & | yEnd,
|  | const M & | zData
| ) |  |

Precondition:
  the and values must be sorted.